Zonemaster::Engine::Logger::Entry(3pm)

NAME
Zonemaster::Engine::Logger::Entry - module for single log entries

SYNOPSIS
    Zonemaster::Engine->logger->add( TAG => { some => 'arguments' });

There should never be a need to create a log entry object in isolation. They should always be associated with and created via a logger object.

CLASS METHODS

new Construct a new object.

levels
    Returns a hash where the keys are log levels as strings and the corresponding values their numeric value.

start_time_now()
    Set the logger's start time to the current time.

reset_config()
    Clear the test level cached configuration.

ATTRIBUTES

module
    The name of the module associated to the entry, or "System".

testcase
    The name of the test case which generated the entry, or "Unspecified".

tag The tag that was set when the entry was created.

args
    The argument hash reference that was provided when the entry was created.

timestamp
    The time after the current program started running when this entry was created. This is a floating-point value with the precision provided by Time::HiRes.

level
    The log level associated to this log entry.

METHODS

string
    Simple method to generate a string representation of the log entry. Overloaded to the stringification operator.

argstr
    Returns the string representation of the message arguments.

printable_args
    Used to transform data from an internal/JSON representation to a "user friendly" representation one.

numeric_level
    Returns the log level of the entry in numeric form.